.video {
  display: flex;
  flex-direction: column;
}
.video iframe {
  width: 100%;
  height: auto;
  aspect-ratio: 16 / 9;
  border-radius: .25rem;
}

@supports not (aspect-ratio: 1 / 1) {
  iframe::before {
    float: left;
    padding-top: 100%;
    content: "";
  }
  iframe::after {
    display: block;
    content: "";
    clear: both;
  }
  .video iframe::before {
    padding-top: 56.25%; /* 16 / 9 */
  }
}
